Create Secret
curl --request POST \
--url https://api.primeintellect.ai/api/v1/secrets/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"value": "<string>",
"description": "<string>",
"teamId": "<string>",
"isFile": false
}
'import requests
url = "https://api.primeintellect.ai/api/v1/secrets/"
payload = {
"name": "<string>",
"value": "<string>",
"description": "<string>",
"teamId": "<string>",
"isFile": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
value: '<string>',
description: '<string>',
teamId: '<string>',
isFile: false
})
};
fetch('https://api.primeintellect.ai/api/v1/secrets/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"isFile": false,
"userId": "<string>",
"teamId": "<string>"
},
"status": "<string>"
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}Secrets
Create Secret
Create a new global secret.
The secret will be encrypted and stored securely. If teamId is provided, the secret will be associated with that team (requires team membership).
POST
/
api
/
v1
/
secrets
/
Create Secret
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Name of the secret (must start with uppercase, only uppercase, numbers, underscores)
Required string length:
1 - 255Pattern:
^[A-Z][A-Z0-9_]*$The secret value to store (will be encrypted)
Minimum string length:
1Optional description of the secret
Maximum string length:
500Optional team ID for team-level secrets
Whether this secret represents a file (max 64KB base64 encoded)
Was this page helpful?
⌘I